
$(document).ready(function(){
    $("#spin").hide();


    $('input[name=radio1]').change(function (){
        if($(this).val() == "0"){
            $(".def-hide").each(function(){
                $(this).removeClass("def-hide");
                $(this).addClass("def-show");
            })
        } else {
            $(".def-show").each(function(){
                $(this).removeClass("def-show");
                $(this).addClass("def-hide");
            })
        };

    });



    $("#start_import").click(function(){

        $("#spin").show();

        var formCode = $("#formCode").val();
        var regCode = $("#registryCode").val();
        var log = $("#login").val();
        var pass = $("#password").val();
        var action = $('input[name=radio1]:checked').val();
        var defaultValue = $('#default-value').val();
        var searchString = $('#search-value').val();

        if(!defaultValue){
            defaultValue = "none";
        }

        if(!searchString){
            searchString = "none";
        }

        var isActivate = $("#activate").is(':checked');

        var file = $("#fileinpt");
        var fd = new FormData;

        fd.append('file', file.prop('files')[0]);

        $.ajax({
            url: window.location.origin + "/import/import/registry/import_file?formcode=" + formCode + "&registrycode=" + regCode
                + "&activate=" + isActivate + "&action=" + action + "&defaultValue=" + defaultValue + "&searchString=" + searchString,
            data: fd,
            beforeSend: function (xhr) {
                xhr.setRequestHeader ("Authorization", "Basic " + btoa(log + ":" + pass));
            },
            processData: false,
            contentType: false,
            type: 'POST',
            success: function (data) {
                $("#spin").hide();
                alert(data.toString());
            },
            error: function (error) {
                $("#spin").hide();
                alert(error.responseText);
            }

        });
    });

});



