package kz.arta.ext.sap.util;

public enum DateFormatParts {

    yyyy,
    yy,
    mm,
    m,
    month,
    month_short,
    monthed,
    monthec,
    dd,
    d,
    hh,
    h,
    HH,
    H,
    MM,
    M,
    SS,
    S,
    ;

    public static DateFormatParts getOrNull(String name) {
        try{
            return DateFormatParts.valueOf(name);
        } catch (Exception ignored){
            return null;
        }
    }

}
